Subject: Re: bug#53755: 27.2; C-u M-x gnus-summary-sort-by-most-recent-number / -date not ordering threads as expected

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 06 Feb 2022 21:35:53 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Kévin Le Gouguec <[email-masked]> writes:
>
>> Now that Michael has blessed us with a patch, I guess I could live with
>> keeping it applied locally, but I really wonder how useful the current
>> semantics of gnus-thread-sort-by-most-recent-date are… since… threads
>> don't end up sorted by date 🙃
>
> We could apply Michael's patch, but it needs a user option to switch
> between the two behaviours, and for it to be generally useful, it needs
> all those different sorting functions I mentioned in that other bug
> report, I think...

At this point, it's been long enough I don't even understand my own
patch works any more, other than the fact that it does what I want it
to.  I thought a bit recently about how one could select differing
behaviors without mucking with the default behavior.  I suppose you
could allow `gnus-thread-sort-functions' to take a cons of a symbol and
a function, where the symbol selects a non-default behavior.  Or
something like that.

-- 
Michael Welsh Duggan
([email-masked])